DMText Class Reference

the main class to read the text part of DocMaker file More...

`#include <DMText.hxx>`

## Public Member Functions

| DMText (DMParser &parser)
| constructor More...
virtual | ~DMText ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...
int | numChapters () const
| returns the number of chapter More...
void | sendComment (std::string const &str)
| send a string as comment More...

## Protected Member Functions

bool | createZones ()
| finds the different text zones More...
bool | sendMainText ()
| send a main zone More...
void | flushExtra ()
| sends the data which have not yet been sent to the listener More...
void | computeNumPages (DMTextInternal::Zone const &zone) const
| compute the number of page of a zone More...
void | updatePageSpanList (std::vector< MWAWPageSpan > &spanList)
| update the page span list More...
bool | sendText (DMTextInternal::Zone const &zone)
| try to send the text corresponding to a zone More...
bool | readFontNames (MWAWEntry const &entry)
| try to read the font name ( resource rQDF ) More...
bool | readStyles (MWAWEntry const &entry)
| try to read the styles ( resource styl ) More...
bool | readTOC (MWAWEntry const &entry)
| try to read a TOC zone? ( resource cnt# ) More...
bool | sendTOC ()
| try to send a TOC zone More...
bool | readWindows (MWAWEntry const &entry)
| try to read the windows information zone? ( resource Wndo ) More...
bool | readFooter (MWAWEntry const &entry)
| try to read the footer zone ( resource foot ) More...
bool | sendFooter (int zId)
| try to send a footer corresponding to a zone id More...
void | sendString (std::string const &str) const
| send a string to the listener More...

## Protected Attributes

MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr< DMTextInternal::State > | m_state
| the state More...
DMParser * | m_mainParser
| the main parser; More...

## Private Member Functions

| DMText (DMText const &orig)
DMText & | operator= (DMText const &orig)

## Friends

class | DMTextInternal::SubDocument
class | DMParser

## Detailed Description

the main class to read the text part of DocMaker file

## Constructor & Destructor Documentation

DMText::DMText | ( | DMParser & | parser | ) |

constructor

DMText::~DMText | ( |  | ) |

virtual

destructor

DMText::DMText | ( | DMText const & | orig | ) |

private

## Member Function Documentation

void DMText::computeNumPages | ( | DMTextInternal::Zone const & | zone | ) | const

protected

compute the number of page of a zone

Referenced by numPages().

bool DMText::createZones | ( |  | ) |

protected

finds the different text zones

void DMText::flushExtra | ( |  | ) |

protected

sends the data which have not yet been sent to the listener

int DMText::numChapters | ( |  | ) | const

returns the number of chapter

int DMText::numPages | ( |  | ) | const

returns the number of pages

Referenced by updatePageSpanList().

DMText& DMText::operator= | ( | DMText const & | orig | ) |

private

bool DMText::readFontNames | ( | MWAWEntry const & | entry | ) |

protected

try to read the font name ( resource rQDF )

Referenced by createZones().

bool DMText::readFooter | ( | MWAWEntry const & | entry | ) |

protected

try to read the footer zone ( resource foot )

Referenced by createZones().

bool DMText::readStyles | ( | MWAWEntry const & | entry | ) |

protected

try to read the styles ( resource styl )

Referenced by createZones().

bool DMText::readTOC | ( | MWAWEntry const & | entry | ) |

protected

try to read a TOC zone? ( resource cnt# )

Referenced by createZones().

bool DMText::readWindows | ( | MWAWEntry const & | entry | ) |

protected

try to read the windows information zone? ( resource Wndo )

Referenced by createZones().

void DMText::sendComment | ( | std::string const & | str | ) |

send a string as comment

bool DMText::sendFooter | ( | int | zId | ) |

protected

try to send a footer corresponding to a zone id

Referenced by DMTextInternal::SubDocument::parse().

bool DMText::sendMainText | ( |  | ) |

protected

send a main zone

void DMText::sendString | ( | std::string const & | str | ) | const

protected

send a string to the listener

Referenced by DMTextInternal::SubDocument::parse(), sendFooter(), and sendTOC().

bool DMText::sendText | ( | DMTextInternal::Zone const & | zone | ) |

protected

try to send the text corresponding to a zone

Referenced by sendMainText().

bool DMText::sendTOC | ( |  | ) |

protected

try to send a TOC zone

void DMText::updatePageSpanList | ( | std::vector< MWAWPageSpan > & | spanList | ) |

protected

update the page span list

int DMText::version | ( |  | ) | const

returns the file version

## Friends And Related Function Documentation

friend class DMParser

friend

friend class DMTextInternal::SubDocument

friend

## Member Data Documentation

DMParser* DMText::m_mainParser

protected

the main parser;

Referenced by computeNumPages(), createZones(), readFontNames(), readFooter(), readStyles(), readTOC(), readWindows(), sendComment(), sendFooter(), sendMainText(), sendText(), and updatePageSpanList().

MWAWParserStatePtr DMText::m_parserState

protected

the parser state

Referenced by readFooter(), readStyles(), sendComment(), sendFooter(), sendMainText(), sendString(), sendText(), sendTOC(), and version().

shared_ptr<DMTextInternal::State> DMText::m_state

protected

the state

Referenced by createZones(), numChapters(), numPages(), readFooter(), readStyles(), readTOC(), readWindows(), sendFooter(), sendMainText(), sendText(), sendTOC(), updatePageSpanList(), and version().

The documentation for this class was generated from the following files:

- DMText.hxx
- DMText.cxx